edu.northwestern.at.utils

## Class TernaryTrieNode

- java.lang.Object
- - edu.northwestern.at.utils.TernaryTrieNode

-     public class TernaryTrieNode
      extends java.lang.Object

  A ternary trie node.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `endOfWord` True if this character is the end of a word.
    `protected TernaryTrieNode` | `eqkid` Equal child of this node.
    `protected TernaryTrieNode` | `hikid` High child of this node.
    `protected TernaryTrieNode` | `lokid` Low child of this node.
    `protected char` | `splitchar` Character stored in this node.
    `protected java.lang.Object` | `value` Data value for this node.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TernaryTrieNode()` Create a new empty node.
    `TernaryTrieNode(char c)` Create a new node with a specified split char.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TernaryTrieNode` | `getEqkid()` This returns the eqkid of this `TernaryTrieNode`.
    `TernaryTrieNode` | `getHikid()` This returns the hikid of this `TernaryTrieNode`.
    `TernaryTrieNode` | `getLokid()` This returns the lokid of this `TernaryTrieNode`.
    `char` | `getSplitChar()` Return the trie splitting character for this node.
    `java.lang.Object` | `getValue()` Get data value for node.
    `boolean` | `isEndOfWord()` This returns the endOfWord for this `TernaryTrieNode`.
    `void` | `setEndOfWord(boolean b)` This sets the endOfWord for this `TernaryTrieNode`.
    `void` | `setEqkid(TernaryTrieNode node)` This sets the eqkid of this `TernaryTrieNode`.
    `void` | `setHikid(TernaryTrieNode node)` This sets the hikid of this `TernaryTrieNode`.
    `void` | `setLokid(TernaryTrieNode node)` This sets the lokid of this `TernaryTrieNode`.
    `void` | `setSplitChar(char c)` Set the trie splitting charaacter for this node.
    `void` | `setValue(java.lang.Object value)` Set data value for node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### splitchar

          protected char splitchar

      Character stored in this node.

    - #### endOfWord

          protected boolean endOfWord

      True if this character is the end of a word.

    - #### lokid

          protected TernaryTrieNode lokid

      Low child of this node.

    - #### eqkid

          protected TernaryTrieNode eqkid

      Equal child of this node.

    - #### hikid

          protected TernaryTrieNode hikid

      High child of this node.

    - #### value

          protected java.lang.Object value

      Data value for this node.

  - ### Constructor Detail

    - #### TernaryTrieNode

          public TernaryTrieNode()

      Create a new empty node.

    - #### TernaryTrieNode

          public TernaryTrieNode(char c)

      Create a new node with a specified split char.
      Parameters:
        `c` - Character for this node.

  - ### Method Detail

    - #### getSplitChar

          public char getSplitChar()

      Return the trie splitting character for this node.
      Returns:
        The trie splitting character for this node.

    - #### setSplitChar

          public void setSplitChar(char c)

      Set the trie splitting charaacter for this node.
      Parameters:
        `c` - The trie splitting character.

    - #### isEndOfWord

          public boolean isEndOfWord()

      This returns the endOfWord for this `TernaryTrieNode`.

      Returns:
        `boolean`

    - #### setEndOfWord

          public void setEndOfWord(boolean b)

      This sets the endOfWord for this `TernaryTrieNode`.

      Parameters:
        `b` - `boolean`

    - #### getLokid

          public TernaryTrieNode getLokid()

      This returns the lokid of this `TernaryTrieNode`.

      Returns:
        `TernaryTrieNode`

    - #### setLokid

          public void setLokid(TernaryTrieNode node)

      This sets the lokid of this `TernaryTrieNode`.

      Parameters:
        `node` - `TernaryTrieNode`

    - #### getEqkid

          public TernaryTrieNode getEqkid()

      This returns the eqkid of this `TernaryTrieNode`.

      Returns:
        `TernaryTrieNode`

    - #### setEqkid

          public void setEqkid(TernaryTrieNode node)

      This sets the eqkid of this `TernaryTrieNode`.

      Parameters:
        `node` - `TernaryTrieNode`

    - #### getHikid

          public TernaryTrieNode getHikid()

      This returns the hikid of this `TernaryTrieNode`.

      Returns:
        `TernaryTrieNode`

    - #### setHikid

          public void setHikid(TernaryTrieNode node)

      This sets the hikid of this `TernaryTrieNode`.

      Parameters:
        `node` - `TernaryTrieNode`

    - #### setValue

          public void setValue(java.lang.Object value)

      Set data value for node.
      Parameters:
        `value` - The data value.

    - #### getValue

          public java.lang.Object getValue()

      Get data value for node.
      Returns:
        The data value.